[% page_title="Formica ${Catalyst.user.name} del formicaio $Catalyst.session.current_ant_nest_id" %]

<p>Ecco i tuoi dati personali, così come li hai immessi o dati dai tutori</p>

[% user_to_display = Catalyst.user.my_profile %]
[% PROCESS users_details_table.tt %]

<h2>Totem</h2>

<p>Il tuo totem è: <b>[% Catalyst.user.my_profile.totem %]</b></p>

<h2>Diffusione dei tuoi dati personali</h2>

[% IF Catalyst.user.my_profile.missing_trusts == 0 %]

<p>Queste sono le fiducie che hai detto essere necessarie per i tuoi dati personali</p>

[% 

    fields = [
      {
	db_name     => "trust_item",
	out_name    => "Dato personale",
      },
      {
	db_name  => "trust_value",
	out_name => "Fiducia (in bB) richiesta",
      },
      {
	db_name  => "custom_cell",
	out_name => "Nuova fiducia:",
        custom_cell => "<form method=\"post\" id=\"[" _ "% row.trust_item %" _ "]\" action=\"change_trust_p_d\">" _
 "<fieldset class=\"change_trust_fieldset\" style=\"border:none;  padding:0;\">" _
 "<legend class=\"change_trust_legend\">Qui puoi cambiare la fiducia per [" _ "% row.trust_item %" _ "]</legend>" _
 "<input type=\"text\" size=\"2\" name=\"new_trust\"/>" _
 "<input type=\"hidden\"  name=\"trust_item_orig\" value=\"[" _ "% row.trust_item_orig %" _ "]\"/>" _
 "<input class=\"submit\" type=\"submit\" value=\"cambia\" name=\"change_trust_[" _ "% row.trust_item %" _ 
 "]\"size=\"2\"/> </fieldset> </form>",
      },
      ];

    dataset = personal_trusts_dataset;
    tb_name = "personal_trusts";

%]

[% PROCESS unsortable_dataset_table.tt %]


<p>In base alle fiducie che mi hai dato ecco come vengono divulgati i
tuoi dati personali all'interno del formicaio:</p>

[% 

    fields = [
      {
	db_name  => 'nick',
	out_name => 'Soprannome',
        pre_cell => '<a href="[' _ '% 
      Catalyst.uri_for(\'/users/view_\') _ row.id %' _ ']">',
        post_cell=> '</a>',
      },
      {
	db_name  => 'trust',
	out_name => "Fiducia",
        numeric_sort => 1,
      },
      {
	db_name  => 'viewable',
	out_name => "Cosa può vedere:",
      },
      ];

    tb_name = "user_personal_data";
    dataset = personal_diffusion;
%]

[% PROCESS sortable_dataset_table.tt %]




[% ELSE %]
<p><b>Nessuna diffusione! Per tutte le formiche del formicaio tu sei solo
"[% Catalyst.user.name %]"</b></p>
<p>Non mi hai ancora precisato quanto vuoi che i tuoi dati personali
vengano distribuiti all'interno del formicaio. Nel dubbio io li faccio
vedere solo alle persone di cui tu ti fidi. Le altre non vedono
nulla. Questo può andare bene se hai intenzione di stare in questo
formicaio solo per comprare e non per vendere. Ma se metti un annuncio
dovrai in qualche modo essere contattato, perciò dovrai specificarmi
come e cosa vuoi che io divulghi. Se lo vuoi fare adesso premi "voglio
specificare come divulgare i miei dati personali" qui a destra.</p>

[% END %]